From 5d66f8ebc64c0c5f65aef85c6a16cbc370f8976a Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Fri, 19 Mar 2021 15:38:54 +0000
Subject: [PATCH] gnu: valgrind: Update to 3.17.0.

* gnu/packages/valgrind.scm (valgrind): Update to 3.17.0.
---
 gnu/packages/valgrind.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/valgrind.scm b/gnu/packages/valgrind.scm
index 4036bd461b..4d03c20a9b 100644
--- a/gnu/packages/valgrind.scm
+++ b/gnu/packages/valgrind.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2016, 2020 Efraim Flashner <efraim@flashner.co.il>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@tobias.gr>
 ;;; Copyright © 2020 Marius Bakke <marius@gnu.org>
+;;; Copyright © 2021 Greg Hogan <code@greghogan.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -35,7 +36,7 @@
     (name "valgrind")
     ;; Note: check "guix refresh -l -e '(@ (gnu packages valgrind) valgrind)'"
     ;; when updating this package to find which branch it should go to.
-    (version "3.16.1")
+    (version "3.17.0")
     (source (origin
               (method url-fetch)
               (uri (list (string-append "https://sourceware.org/pub/valgrind"
@@ -44,7 +45,7 @@
                                         "/valgrind-" version ".tar.bz2")))
               (sha256
                (base32
-                "1jik19rcd34ip8a5c9nv5wfj8k8maqb8cyclr4xhznq2gcpkl7y9"))
+                "18l5jbk301j3462gipqn9bkfx44mdmwn0pwr73r40gl1irkfqfmd"))
               (patches (search-patches "valgrind-enable-arm.patch"))))
     (build-system gnu-build-system)
     (outputs '("doc"                              ;16 MB
-- 
2.31.0

